<?php
// $Id: spaces_plugin_access_spaces_feature.inc,v 1.1.2.1 2008/11/24 05:51:02 yhahn Exp $

/**
 * Provides access control for views by checking against the current space's feature settings.
 */
class spaces_plugin_access_spaces_feature extends views_plugin_access {
  function access($account) {
    return array('spaces_feature_access', $this->options['spaces_feature']);
  }

  function get_access_callback() {
    return array('spaces_feature_access', $this->options['spaces_feature']);
  }

  function summary_title() {
    return $this->options['spaces_feature'];
  }

  function option_defaults(&$options) {
    $options['spaces_feature'] = '';
  }

  function options_form(&$form, &$form_state) {
    $options = array();
    foreach (spaces_features() as $feature) {
      $options[$feature->value] = $feature->spaces['label'];
    }
    $form['spaces_feature'] = array(
      '#type' => 'select',
      '#title' => t('Feature'),
      '#default_value' => $this->options['spaces_feature'],
      '#options' => $options,
      '#description' => t('Only the checked roles will be able to access this display. Note that users with "access all views" can see any view, regardless of role.'),
    );
  }

  function options_validate(&$form, &$form_state) {
  }

  function options_submit(&$form, &$form_state) {
  }
}
